package com.wechat.dao;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.impl.BaseDao;
import com.wechat.model.dbEntity.MdeBoleInfo;


/**
 * 伯乐dao
 * @author tangwc
 *
 */
@Repository
public class MdeBoleInfoDao extends BaseDao{
	/**
	 * 更具id获取信息
	 * @param boleId
	 * @return
	 */
	public MdeBoleInfo getById(int boleId) {
		return super.selectOne("MdeBoleInfoMapper.get",boleId);
	}
	/**
	 * 获取荣誉顾问
	 * @return
	 */
	public List<MdeBoleInfo> getHonoraryAdvisor() {
		return super.select("MdeBoleInfoMapper.getHonoraryAdvisor");
	}
	/**
	 * 获取职业发展导师团
	 * @return
	 */
	public List<MdeBoleInfo> getCareerDevelopmentMentor() {
		return super.select("MdeBoleInfoMapper.getCareerDevelopmentMentor");
	}
	/**
	 * 获取所有伯乐
	 * @return
	 */
	public List<MdeBoleInfo> getAllBole(String lang) {
		return super.select("MdeBoleInfoMapper.getAllBole",lang);
	}
	/**
	 * 修改伯乐信息
	 * @param boleInfo
	 * @return
	 */
	public int update(MdeBoleInfo boleInfo) {
		return super.update("MdeBoleInfoMapper.update", boleInfo);
	}
	/**
	 * 新增伯乐信息
	 * @param boleInfo
	 * @return
	 */
	public int insert(MdeBoleInfo boleInfo) {
		return super.insert("MdeBoleInfoMapper.update", boleInfo);
	}
}
